﻿using UnityEngine;
using UnityEngine.SceneManagement;

public class SimpleFlashlight : Mod
{
    Network_Player player;
    GameObject flashlight;

    public void Update()
    {
        if (player == null) { player = RAPI.GetLocalPlayer(); return; }
        if (SceneManager.GetActiveScene().name != Semih_Network.GameSceneName) { return; }
        if (!player.CameraTransform.transform.Find("Flashlight"))
        {
            GameObject go = new GameObject("Flashlight");
            go.transform.SetParent(player.CameraTransform);
            go.transform.localPosition = new Vector3(0, 0, 0);
            go.transform.localRotation = Quaternion.identity;
            go.AddComponent<Light>();
            go.GetComponent<Light>().type = LightType.Spot;
            go.GetComponent<Light>().spotAngle = 75;
            go.GetComponent<Light>().range = 20;
            flashlight = go;
        }
        if (flashlight)
        {
            if (Input.GetKeyDown(KeyCode.F))
            {
                if (flashlight.activeSelf)
                {
                    flashlight.SetActive(false);
                }
                else
                {
                    flashlight.SetActive(true);
                }
            }
        }
    }

    public void OnModUnload()
    {
        if (flashlight) { Destroy(flashlight); }
        Debug.Log("SimpleFlashlight has been unloaded!");
    }
}